clear 
use "Population Mortality Data.dta" 
set more off

gen SelectedCauses = 0 
replace SelectedCauses = 1 if(icd1==1 | icd1==5 | icd1==6 | icd1==7 | icd1==8 | ///
	icd1==9 | icd1==10 | icd1==61 | icd1==28 | icd1==29 | icd1==92 | ///
	icd1==13 | icd1==14 | icd1==104 | icd1==105)
label var SelectedCauses "Death from Selected Causes"

gen OtherCauses = 0
replace OtherCauses = 1 if(SelectedCauses==0)
label var OtherCauses "Death by All Other Causes"

gen noTBP = 0
replace noTBP = 1 if(icd1==1 | icd1==5 | icd1==6 | icd1==7 | icd1==8 | ///
	icd1==9 | icd1==10 | icd1==61 | icd1==13 | icd1==14 | icd1==104 | icd1==105) 
label var noTBP "Selected Causes deaths w/o tuberculosis"

collapse (sum) OtherCauses SelectedCauses noTBP (mean) popdenom_cityyear, ///
	by(deathyear)

gen SelectedRatio = (SelectedCauses / popdenom_cityyear) * 1000
gen OtherRatio = (OtherCauses / popdenom_cityyear) * 1000
gen NoTBratio = (noTBP / popdenom_cityyear) * 1000	
	
list deathyear OtherRatio SelectedRatio NoTBratio popdenom_cityyear, noobs clean

